import { CharacteristicValue } from 'homebridge';
import { CharacteristicValue as ShelliesCharacteristicValue, Light } from 'shellies-ds9';
import { Ability, ServiceClass } from './base';
export declare class LightAbility extends Ability {
    readonly component: Light;
    /**
     * @param component - The light component to control.
     */
    constructor(component: Light);
    protected get serviceClass(): ServiceClass;
    protected initialize(): void;
    detach(): void;
    /**
     * Handles changes to the Light.On characteristic.
     */
    protected onSetHandler(value: CharacteristicValue): Promise<void>;
    /**
     * Handles changes to the `output` property.
     */
    protected outputChangeHandler(value: ShelliesCharacteristicValue): void;
    /**
     * Handles changes to the Light.Brightness characteristic.
     */
    protected brightnessSetHandler(value: CharacteristicValue): Promise<void>;
    /**
     * Handles changes to the `brightness` property.
     */
    protected brightnessChangeHandler(value: ShelliesCharacteristicValue): void;
}
//# sourceMappingURL=light.d.ts.map